Skip to main content
POST
/
generation
/
luma
/
ray-2-flash
Luma Ray2 Flash
curl --request POST \
  --url https://open.skills.video/api/v1/generation/luma/ray-2-flash \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "<string>"
}
'
{
  "id": "gen_123",
  "status": "IN_QUEUE",
  "input": {
    "prompt": "a cat walking through neon rain",
    "duration": 5,
    "aspect_ratio": "16:9",
    "n": 1
  },
  "usage": {
    "total": 20,
    "subscription": 20,
    "permanent": 0
  }
}
Luma Dream Machine Ray2 Flash for text-to-video and image-to-video.

Authorizations

Authorization
string
header
required

API Key for API endpoints

Body

prompt
string
required

Text prompt for video generation

first_frame_url
string<uri>

Initial image to start the video from.

end_frame_url
string<uri>

Final image to end the video with.

aspect_ratio
enum<string>
default:16:9

The aspect ratio of the generated video

Available options:
16:9,
9:16,
4:3,
3:4,
21:9,
9:21
loop
boolean

Whether the video should loop

resolution
enum<string>
default:540p

The resolution of the generated video

Available options:
540p,
720p,
1080p
duration
default:5

Duration of the video in seconds.

n
integer
default:1

Number of results to generate (1-4)

Required range: 1 <= x <= 4

Response

Generation submission accepted

id
string
required

Generation id.

status
enum<string>
required

Queue status

Available options:
IN_QUEUE,
IN_PROGRESS,
COMPLETED,
FAILED,
CANCELED
input
Input · object
required

Normalized input payload for the generation task.

usage
object
required

Credit usage breakdown for the request

code
string

Machine-readable generation error code. Present when status is FAILED.

message
string

Sanitized human-readable failure message. Present when status is FAILED.